Update a User
curl --request PATCH \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/bloodhound-users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email_address": "jsmith@example.com",
"principal": "<string>",
"roles": [
123
],
"saml_provider_id": "<string>",
"sso_provider_id": {
"int32": 123,
"valid": true
},
"is_disabled": true
}
'import requests
url = "https://your-tenant.bloodhoundenterprise.io/api/v2/bloodhound-users/{user_id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email_address": "jsmith@example.com",
"principal": "<string>",
"roles": [123],
"saml_provider_id": "<string>",
"sso_provider_id": {
"int32": 123,
"valid": True
},
"is_disabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email_address: 'jsmith@example.com',
principal: '<string>',
roles: [123],
saml_provider_id: '<string>',
sso_provider_id: {int32: 123, valid: true},
is_disabled: true
})
};
fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/bloodhound-users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"[this request has no response data]"{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}{
"http_status": 404,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The requested client could not be found."
}
]
}{
"http_status": 429,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "middleware",
"message": "Too many requests. Please try again later."
}
]
}{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}BloodHound Users
Update a User
Update a BloodHound user’s properties’.
PATCH
/
api
/
v2
/
bloodhound-users
/
{user_id}
Update a User
Authorizations
JWTBearerTokenSignedRequest & RequestDate & HMACSignature
Authorization: Bearer $JWT_TOKEN
Headers
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
Pattern:
^wait=(-1|[0-9]+)$Path Parameters
User ID
Body
application/json
The request body for updating a user
Response
No Content This response will contain no response body.
The response is of type string.
⌘I